summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWilliam Hubbs <w.d.hubbs@gmail.com>2012-10-17 17:55:02 -0500
committerWilliam Hubbs <w.d.hubbs@gmail.com>2012-10-17 17:55:02 -0500
commitf88637274991e4d427da6dae3ef0e181f0e1d9a1 (patch)
tree7c1fa8802e8eb00bf152a3880fffb25e3968d88d
parentf671e0a28fe566566b5465afbda985542f77ed8a (diff)
downloadopenrc-f88637274991e4d427da6dae3ef0e181f0e1d9a1.tar.gz
openrc-f88637274991e4d427da6dae3ef0e181f0e1d9a1.tar.bz2
openrc-f88637274991e4d427da6dae3ef0e181f0e1d9a1.tar.xz
functions.sh: do not hard code path in e* wrapper functions
We should use the "command" shell builtin to execute a binary from within the wrapper with the same name. Hard coding the path to the binary makes our test suite fail.
-rw-r--r--sh/functions.sh.in2
1 files changed, 1 insertions, 1 deletions
diff --git a/sh/functions.sh.in b/sh/functions.sh.in
index b00ec68..cdd8856 100644
--- a/sh/functions.sh.in
+++ b/sh/functions.sh.in
@@ -105,7 +105,7 @@ else
# the last ecmd
for _e in ebegin eend error errorn einfo einfon ewarn ewarnn ewend \
vebegin veend veinfo vewarn vewend; do
- eval "$_e() { local _r; @LIBEXECDIR@/bin/$_e \"\$@\"; _r=\$?; \
+ eval "$_e() { local _r; command $_e \"\$@\"; _r=\$?; \
export EINFO_LASTCMD=$_e; return \$_r; }"
done
unset _e